# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="5"

inherit linux-info git-r3 autotools eutils

SLOT="0"

DESCRIPTION="FUSE implementation for overlayfs"
HOMEPAGE="https://github.com/containers/fuse-overlayfs"
EGIT_REPO_URI="${HOMEPAGE}.git"

LICENSE="GPL-3"

KEYWORDS="~amd64"
DEPEND="
		sys-fs/fuse:3
"
RDEPEND="${DEPEND}"
BDEPEND=""

pkg_setup() {
linux-info_pkg_setup
kernel_is ge 4 18 0 || die "Linux 4.18.0 or newer required"
}

src_unpack() {
	git-r3_fetch ${EGIT_REPO_URI} refs/tags/v${PV} || die "Failed to fetch"
	git-r3_checkout || die "Failed to check out"
}

src_prepare() {
	cd "${EGIT_CHECKOUT_DIR}"
	eautoreconf || die "Failed to run autotools"
}

src_configure() {
	cd "${EGIT_CHECKOUT_DIR}"
	econf || die "Failed to configure"
}

src_compile() {
	cd "${EGIT_CHECKOUT_DIR}"
	einfo "Commencing compilation..."
	emake || die "Failed to compile"
}
